### Enumeration

# Gimp GradientSegmentType

#### Declaration

    enum Gimp.GradientSegmentType

#### Description [src]

Transition functions for gradient segments.

#### Members

`GIMP_GRADIENT_SEGMENT_LINEAR`

  Linear.

  - Value: `0`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_CURVED`

  Curved.

  - Value: `1`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_SINE`

  Sinusoidal.

  - Value: `2`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_SPHERE_INCREASING`

  Spherical (increasing).

  - Value: `3`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_SPHERE_DECREASING`

  Spherical (decreasing).

  - Value: `4`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_STEP`

  Step.

  - Value: `5`
  - Available since: 3.0